Skip to content

Spare & RMA

All operations require authentication.

16 operationsv1/xdsl/spare · /xdsl/{serviceName}
Agent setup

Get the modem exchange offerProduction

GET
/1.0/xdsl/{serviceName}/modem/comfortExchange

Returns whether the modem of the access can be exchanged for the latest model, the new model and the price with and without tax.

Path parameters

serviceName
required
string

Service name

Response

200ModemExchangeInfosuccessful operation
canExchange
read-only
boolean

To know if you can exchange your modem

newModel
read-only
string

Model of the new modem

price
read-only
Price

Price with it's currency and textual representation

priceWithTax
read-only
Price

Price with it's currency and textual representation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/comfortExchange \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canExchange": true, "newModel": "string", "price": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "priceWithTax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }}

Order a modem exchangeProduction

POST
/1.0/xdsl/{serviceName}/modem/comfortExchange

Orders the replacement of the modem of the access by the latest model. Fees apply. Returns the order.

Path parameters

serviceName
required
string

Service name

Request body (required)

contactShipping
string

Customer identifier for shipping address. By default Internet access address will be used. Allowed values are nichandle or «/me/contact/xyz»

Response

200Ordersuccessful operation
contracts
read-only
Contract[]

List of contracts related to the order

details
read-only
OrderDetail[]

Details of the order

orderId
read-only
integer

Identifier of the order

prices
read-only
OrderPrices

Prices of the order including with and without taxes

url
read-only
string

URL to download the order

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/comfortExchange \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contracts": [ { "content": "string", "name": "string", "url": "string" } ], "details": [ { "cartItemID": 0, "description": "string", "detailType": "ACCESSORY", "domain": "string", "originalTotalPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "quantity": 0, "reductionTotalPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "reductions": [ { "context": "promotion", "description": "string", "price": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "reductionDescription": "string", "type": "fixed_amount", "value": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 } } ], "totalPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "unitPrice": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 } } ], "orderId": 0, "prices": { "originalWithoutTax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "reduction": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "tax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "withTax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 }, "withoutTax": { "currencyCode": "AUD", "priceInUcents": 0, "text": "string", "value": 0 } }, "url": "string"}

List the RMAs of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/rma

Returns the IDs of the return merchandise authorizations of the access.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/rma \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an RMA of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/rma/{id}

Returns a return merchandise authorization with its type, process, status and steps, the returned and new equipment, the shipping contact and its dates.

Path parameters

id
required
string

Id

serviceName
required
string

Service name

Response

200Rmasuccessful operation
cancellable
read-only
boolean

Is the RMA cancellable?

creationDatetime
read-only
stringdate-time

Creation datetime of the return merchandise authorisation ticket

equipmentReference
read-only
string

Merchandise reference

id
read-only
string

Return merchandise authorisation identifier

newMerchandise
read-only
string

New merchandise brand in case of exchange

offerTypeNew
read-only
RmaOfferTypeEnum

Offer type of the new merchandise in case of exchange

Valuesdepositloanpurchase
offerTypeOld
read-only
RmaOfferTypeEnum

Offer type of the return merchandise

Valuesdepositloanpurchase
process
RmaReplaceTypeEnum

Return merchandise authorisation type

ValueschangePhonephoneRestitutionundefined
receptionDatetime
read-only
stringdate-time

Reception datetime of the return merchandise authorisation ticket

shippingContact
Contact

Contact information structure

status
read-only
RmaStatusEnum

Return merchandise authorisation step

Valuesclosedopenreceived
steps
read-only
RmaStep[]

Indicates the current status of the RMA with a list of steps

terminationDatetime
read-only
stringdate-time

Termination datetime of the return merchandise authorisation ticket

type
read-only
RmaTypeEnum

Typology process of merchandise return

Valuesafter sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknown

Example uses id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/rma/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cancellable": true, "creationDatetime": "2024-01-01T12:00:00Z", "equipmentReference": "string", "id": "string", "newMerchandise": "string", "offerTypeNew": "deposit", "offerTypeOld": "deposit", "process": "changePhone", "receptionDatetime": "2024-01-01T12:00:00Z", "shippingContact": { "address": "string", "city": "string", "country": "ac", "email": "string", "firstname": "string", "name": "string", "organisation": "string", "phone": "string", "zip": "string" }, "status": "closed", "steps": [ { "description": "string", "doneDate": "2024-01-01T12:00:00Z", "infos": "string", "name": "dispatchJustification", "status": "done" } ], "terminationDatetime": "2024-01-01T12:00:00Z", "type": "after sale equipment service exchange"}

Update an RMA of an xDSL accessProduction

PUT
/1.0/xdsl/{serviceName}/rma/{id}

Changes the process or the shipping contact of a return merchandise authorization.

Path parameters

id
required
string

Id

serviceName
required
string

Service name

Request body (required)

cancellable
read-only
boolean

Is the RMA cancellable?

creationDatetime
read-only
stringdate-time

Creation datetime of the return merchandise authorisation ticket

equipmentReference
read-only
string

Merchandise reference

id
read-only
string

Return merchandise authorisation identifier

newMerchandise
read-only
string

New merchandise brand in case of exchange

offerTypeNew
read-only
RmaOfferTypeEnum

Offer type of the new merchandise in case of exchange

Valuesdepositloanpurchase
offerTypeOld
read-only
RmaOfferTypeEnum

Offer type of the return merchandise

Valuesdepositloanpurchase
process
RmaReplaceTypeEnum

Return merchandise authorisation type

ValueschangePhonephoneRestitutionundefined
receptionDatetime
read-only
stringdate-time

Reception datetime of the return merchandise authorisation ticket

shippingContact
Contact

Contact information structure

status
read-only
RmaStatusEnum

Return merchandise authorisation step

Valuesclosedopenreceived
steps
read-only
RmaStep[]

Indicates the current status of the RMA with a list of steps

terminationDatetime
read-only
stringdate-time

Termination datetime of the return merchandise authorisation ticket

type
read-only
RmaTypeEnum

Typology process of merchandise return

Valuesafter sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknown

Response

200—successful operation

Example uses id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/rma/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete an RMA of an xDSL accessProduction

DELETE
/1.0/xdsl/{serviceName}/rma/{id}

Cancels the return merchandise authorization, when it is still cancellable.

Path parameters

id
required
string

Id

serviceName
required
string

Service name

Response

200—successful operation

Example uses id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/rma/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Change the type of an RMAProduction

POST
/1.0/xdsl/{serviceName}/rma/{id}/changeType

Changes a return merchandise authorization to a resiliation or to a SIP switch.

Path parameters

id
required
string

Id

serviceName
required
string

Service name

Request body (required)

type
required
RmaChangeTypeEnum

Types of return merchandise authorisation you can change to

ValuesresiliatetoSip

Response

200—successful operation

Example uses id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/rma/{id}/changeType \
  -H "authorization: Bearer $OVH_TOKEN"

List the xDSL sparesProduction

GET
/1.0/xdsl/spare

Returns the names of the spare modems of the account.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/spare \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an xDSL spareProduction

GET
/1.0/xdsl/spare/{spare}

Returns the brand and MAC address of a spare modem.

Path parameters

spare
required
string

Spare

Response

200XdslSpareWithIAMsuccessful operation
brand
read-only
string

Modem brand model

iam
read-only
ResourceMetadata

IAM resource metadata

macAddress
read-only
string

Mac address

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/spare/{spare} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "brand": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "macAddress": "string"}

List the brands of xDSL sparesProduction

GET
/1.0/xdsl/spare/brands

Returns the modem brands available as spares.

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/spare/brands \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List the replacement brands of a spareProduction

GET
/1.0/xdsl/spare/{spare}/compatibleReplacement

Returns the modem brands the spare is compatible with as a replacement.

Path parameters

spare
required
string

Spare

Response

200string[]successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/spare/{spare}/compatibleReplacement \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get service informationProduction

GET
/1.0/xdsl/spare/{spare}/serviceInfos

Returns the service status, creation and expiration dates, renewal settings and contacts of the spare.

Path parameters

spare
required
string

Spare

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/spare/{spare}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/xdsl/spare/{spare}/serviceInfos

Changes the renewal settings of the spare: automatic renewal, renewal period and deletion at expiration.

Path parameters

spare
required
string

Spare

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/spare/{spare}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Replace a modem with a spareProduction

POST
/1.0/xdsl/spare/{spare}/replace

Replaces the modem of an access with the spare modem.

Path parameters

spare
required
string

Spare

Request body (required)

domain
required
string

The modem to replace by the spare

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/spare/{spare}/replace \
  -H "authorization: Bearer $OVH_TOKEN"

Return a broken spareProduction

POST
/1.0/xdsl/spare/{spare}/returnMerchandise

Returns the broken spare modem with an instant refund.

Path parameters

spare
required
string

Spare

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/spare/{spare}/returnMerchandise \
  -H "authorization: Bearer $OVH_TOKEN"

Delete an xDSL spareProduction

DELETE
/1.0/xdsl/spare/{spare}

Removes the spare modem from the account, as if it no longer belonged to OVHcloud.

Path parameters

spare
required
string

Spare

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/spare/{spare} \
  -H "authorization: Bearer $OVH_TOKEN"